// ---------------------------------------------------------------------------
// jet.cs -- Version 1.4 -- October 28, 2000
// by Lorne Laliberte (writer@planetstarsiege.com)
//
// Add events to the jet button (or key)
//
// http://www.writerscripts.com
// ---------------------------------------------------------------------------

include("writer\\version.cs");
version("writer\\jet.cs", "1.4", "Lorne Laliberte", "Oct 28, 2000");

include("writer\\event.cs");
include("writer\\save.cs");

// ---------------------------------------------------------------------------
// DEFAULT SETTINGS:
//
// Edit these if you're running this script for the first time
// All subsequent settings must be done in the config\wp_jet.cs file

    // Set this to your jet button!
    bind(mouse0, make, "button1", to, "JetPressed();");
    bind(mouse0, break, "button1", to, "JetReleased();");

// ---------------------------------------------------------------------------

WriterPrefs::load("jet");

function JetPressed()
{
    Event::Trigger(eventJetPressed);

    if( !Event::Returned(eventJetPressed, mute) )
    {
        postAction(2048, IDACTION_JET, 1.0);
        Event::Trigger(eventJetsStarted);
    }
}


function JetReleased()
{
    Event::Trigger(eventJetReleased);

    if( !Event::Returned(eventJetReleased, mute) )
    {
        postAction(2048, IDACTION_JET, 0.0);
        Event::Trigger(eventJetsStopped);
    }
}

function jet::save()
{
    AddExportText("    // Set this to your jet button!");

    ExportBind("JetPressed();", "//bind(mouse0, make, button1, TO, \"JetPressed();\");");
    ExportBind("JetReleased();", "//bind(mouse0, break, button1, TO, \"JetReleased();\");");
}

WriterPrefs::save("jet");

function jet::init()
{
    needs("writer\\jet.cs", "writer\\event.cs 2.7",
                            "writer\\save.cs 2.3");
}
Event::Attach(writerInit, "jet::init();");

if(!$UsingWriterLoader) jet::init();
